Skip to main content
POST
/
v1
/
rules
/
{rule_id}
/
approve
Approve Rule
curl --request POST \
  --url https://api.example.com/v1/rules/{rule_id}/approve
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rule_id": "<string>",
  "rule_type": "permission",
  "action": "<string>",
  "consequence": {
    "action": "warn",
    "severity": "medium",
    "message": "<string>"
  },
  "natural_language": "<string>",
  "created_at": 123,
  "updated_at": 123,
  "target": "<string>",
  "assignee": "agent",
  "constraints": [],
  "constraint_logic": "all",
  "provenance": {
    "extracted_by": "manual",
    "model_used": "<string>",
    "confidence_score": 123,
    "source_location": {
      "section": "<string>",
      "paragraph": 123,
      "char_start": 123,
      "char_end": 123,
      "source_text": "<string>"
    }
  },
  "category": "privacy",
  "tags": [
    "<string>"
  ],
  "status": "draft",
  "reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reviewed_at": 123,
  "review_notes": "<string>"
}

Path Parameters

rule_id
string<uuid>
required

Query Parameters

notes
string | null

Response

Successful Response

Domain model for Policy Rule.

This follows an ODRL-inspired schema:

  • rule_type: permission/prohibition/obligation/recommendation
  • action: what action this rule governs
  • target: what asset/data is affected
  • assignee: who must comply (usually "agent")
  • constraints: conditions under which rule applies
  • consequence: what happens when rule is violated
id
string<uuid>
required
policy_id
string<uuid>
required
rule_id
string
required
rule_type
enum<string>
required

Type of policy rule (ODRL-inspired).

Available options:
permission,
prohibition,
obligation,
recommendation
action
string
required
consequence
RuleConsequence · object
required

Consequence when rule is triggered.

natural_language
string
required
created_at
integer
required
updated_at
integer
required
target
string | null
assignee
string | null
default:agent
constraints
RuleConstraint · object

Constraint for conditional rule application.

constraint_logic
string
default:all
provenance
RuleProvenance · object

Provenance information for rule extraction.

category
enum<string> | null

Category of policy document.

Available options:
privacy,
ethics,
security,
compliance,
operational,
brand,
custom
tags
string[] | null
status
enum<string>
default:draft

Review status of a policy rule.

Available options:
draft,
approved,
rejected,
modified
reviewed_by
string<uuid> | null
reviewed_at
integer | null
review_notes
string | null
Last modified on April 21, 2026